﻿using System;
using System.Threading.Tasks;
using Warden;
using Warden.Configurations;

namespace ProcessWatcher.App
{
    public class Program
    {
        public static void Main(string[] args)
        {
            var warden = ConfigureWarden();
            Task.WaitAll(warden.StartAsync());
        }

        private static IWarden ConfigureWarden()
        {
            var processWatcher = new ProcessWatcher("mongod");
            var wardenConfiguration = WardenConfiguration
                .Create()
                .AddWatcher(processWatcher, hooks =>
                {
                    hooks.OnCompleted(result => Console.WriteLine(result.WatcherCheckResult.Description));
                })
                .Build();

            return Warden.Warden.Create(wardenConfiguration);
        }
    }
}
